Package be.ehealth.technicalconnector.service.etee.domain

# Class EncryptionToken

java.lang.Object
be.ehealth.technicalconnector.service.etee.domain.EncryptionToken

All Implemented Interfaces:
  `Serializable`

public class EncryptionToken extends Object implements Serializable
Marker class to hide implemenation from etee.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EncryptionToken(byte[] etkBytes)`
  `EncryptionToken(File file)`
  `EncryptionToken(InputStream is)`
  `EncryptionToken(String encryptionTokenBase64)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final X509Certificate`
  `getAuthenticationCertificate()`
  `final byte[]`
  `getBase64Encoded()`
  `final X509Certificate`
  `getCertificate()`
  `final byte[]`
  `getEncoded()`
  `be.fgov.ehealth.etee.crypto.encrypt.EncryptionToken`
  `getEtk()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EncryptionToken

    public EncryptionToken(byte[] etkBytes) throws GeneralSecurityException
    Parameters:
      `etkBytes` -
    Throws:
      `GeneralSecurityException`

  - ### EncryptionToken

    public EncryptionToken(File file) throws GeneralSecurityException, IOException
    Parameters:
      `file` -
    Throws:
      `GeneralSecurityException`
      `IOException`

  - ### EncryptionToken

    public EncryptionToken(InputStream is) throws GeneralSecurityException
    Parameters:
      `is` -
    Throws:
      `GeneralSecurityException`
      `IOException`

  - ### EncryptionToken

    public EncryptionToken(String encryptionTokenBase64) throws GeneralSecurityException
    Parameters:
      `encryptionTokenBase64` -
    Throws:
      `GeneralSecurityException`

- ## Method Details

  - ### getEncoded

    public final byte[] getEncoded()
    Returns:
      the binary ETK bytes.

  - ### getBase64Encoded

    public final byte[] getBase64Encoded()
    Returns:
      The Base64 encoded format of the ETK

  - ### getCertificate

    public final X509Certificate getCertificate()
    Returns:
      the encryption certificate

  - ### getAuthenticationCertificate

    public final X509Certificate getAuthenticationCertificate()
    Returns:
      the authentication certificate

  - ### getEtk

    public be.fgov.ehealth.etee.crypto.encrypt.EncryptionToken getEtk()
    Returns:
      the etk